.filter-new {
    width: 100%;
}

.filter-new .filter-title {
    font-weight: 700;
    font-size: 32px;
    line-height: 120%;
    letter-spacing: 0.04em;
    color: #000000;
    margin-bottom: 28px;
}

.filter-new .heading-mob {
    display: none;
}

.filter-new .padding {
    padding: 24px;
    background-color: #FFFFFF;
    border-radius: 12px;
}

.filter_sec:not(.vertical-align) .G-container {
    max-width: 1500px !important;
    margin: 0 auto;
    padding: 0 !important;
}

.filter_sec:not(.vertical-align) .filter-container.padding {
    padding: 24px;
    background: #fff;
    border-radius: 12px;
}

.filter-new .filter__form {
    width: 100%;
}

/*.filter_sec {*/
/*    z-index: 100;*/
/*    !*min-height: 283px;*!*/
/*    transition: transform 0.3s linear;*/
/*}*/

.filter_sec.fixed {
    position: sticky;
    top: 30px;
}

.filter-new .filter__form .filter__wrapper {
    display: grid;
    grid-template-columns: 275px 292px 324px 232px auto;

    background-color: #FFFFFF;
    border-radius: 12px;
    grid-column-gap: 16px;
    padding: 0;
    /*margin-bottom: 16px;*/
}



.filter-new .filter__form .filter__wrapper .option-grid {
    position: relative;
    height: 100%;
}

.filter-new .filter__form .filter__wrapper .option-grid label,
.filter-new .filter__form .filter__wrapper .option-grid label input {
    height: 100%;
}

.filter-new .filter__form .filter__wrapper .selected-search-count {
    position: absolute;
    top: 50%;
    right: 10px;
    z-index: 20;
    transform: translateY(-50%);
}

.filter-new .filter__form .filter__wrapper .selected-search-count > .btn {
    background-color: var(--red);
    padding: 0;
    height: auto;
    padding: 9px 12px;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .uk-dropdown {
    position: absolute;
    top: calc(100% + 8px);
    right: 0;
    left: auto;
    width: 280px;
    max-width: min(280px, calc(100vw - 48px));
    padding: 15px;
    border-radius: 6px !important;
    background: #ffffff;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.14);
    z-index: 30;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected {
    display: flex;
    flex-direction: column;
    grid-row-gap: 15px;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group {
    display: flex;
    flex-direction: column;
    grid-row-gap: 8px;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .title-group {
    display: flex;
    align-items: center;
    padding: 4px 0px;
    color: #7a7a7a;
    font-size: 12px;
    font-weight: 500;
    white-space: nowrap;
    text-transform: uppercase;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    grid-column-gap: 10px;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 50px;
    background-color: #f2f2f2;
}
.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result:not(:last-child) {
    margin-bottom: 10px;
}
.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result .title-result {
    font-size: 13px;
    color: #000;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result .btn-remove {
    padding: 2px;
    opacity: 1;
    transition: opacity 0.15s ease;
    flex-shrink: 0;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result .btn-remove .icon {
    font-size: 12px;
    background-color: var(--red);
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result:hover {
    background-color: #e7e7e7;
}

.filter-new .filter__form .filter__wrapper .selected-search-count .list-search-selected .item-group .item-result:hover .btn-remove {
    opacity: 1;
}




.filter-new .filter__form .input-wrapper {
    /*min-width: 200px;*/
    position: relative;
}

.filter-new .filter__form .input-wrapper > .title {
    font-weight: 400;
    font-size: 14px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: #696969;
    margin-bottom: 12px;
}

.filter-new .filter__form .input-wrapper > .title,
.filter-new .filter__form .input-wrapper .input-range .input-from-to,
.filter-new .filter__form .f-address,
.filter-new .filter__form .f-address::placeholder,
.select__value {
    letter-spacing: 0;
}

.filter-new .filter__form .input-wrapper .input-range {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 46px;
    background: #F6F6F6;
    border-radius: 4px;
    padding: 0 16px;
}

.filter-new .filter__form .input-wrapper .input-range .input-from-to-wrapper {
    /*position: relative;*/
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    white-space: nowrap;
}

.filter-new .filter__form .input-wrapper .input-range .input-from-to {
    background: transparent;
    border: 0;
    width: 100%;
    padding: 0;
    font-size: 16px;
    font-weight: 500;
}

.filter-new .filter__form .input-wrapper .input-range .input-from-to-wrapper span {
    font-weight: 400;
    font-size: 16px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: #B3B3B3;
    user-select: none;
    margin-right: 5px;
}

.filter-new .filter__form .input-wrapper .input-range .separator {
    font-weight: 500;
    font-size: 16px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: #000000;
    margin: 0 7px;
    user-select: none;
}


.filter-new .filter__form .input-wrapper .ui-widget {
    font-weight: inherit;
    font-family: inherit;
}










.list-search-result {
    position: absolute;
    top: calc(100% + 5px);
    z-index: 10;
    width: 100%;
    max-height: 310px;
    overflow: auto;
    padding-top: 10px;
    background-color: #fff;
    box-shadow: 0px 10px 32px rgba(0, 0, 0, 0.12);
    border-radius: 4px;
    /*border-top: 1px solid #ccc;*/
}

.list-search-result .item-group {
    margin-bottom: 15px;
}

.list-search-result .item-group .title-group {
    display: flex;
    align-items: center;
    padding: 6px 12px;
    color: #7a7a7a;
    font-size: 15px;
    font-weight: 500;
    white-space: nowrap;
    text-transform: uppercase;
}

.list-search-result .item-group .title-group .icon {
    min-width: 14px;
    font-size: 14px;
    margin-right: 10px;
    background-color: #7a7a7a;
}

.list-search-result .item-group .title-group > div {
    width: 100%;
    height: 1px;
    background-color: #f2f2f2;
    margin-left: 10px;
}

.list-search-result .item-group .item-result {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    box-sizing: border-box;
    margin: 0;
    border: none;
    background: transparent;
    padding: 9px 35px;
    cursor: pointer;
    text-align: left;
    font: inherit;
    color: inherit;
}

.list-search-result .item-group .item-result.selected,
.list-search-result .item-group .item-result:hover {
    background-color: rgb(61, 129, 218, 0.1);
}

.list-search-result .item-group .item-result .title-result {
    font-size: 14px;
    color: #000;
}

.list-search-result .item-group .item-result .address-result {
    font-size: 12px;
    color: #8f8f8f;
    margin-top: 5px;
}

.list-search-result .item-group .item-result .metro-circle-container {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    margin-left: -30px;
    transform: translateY(100%);
}

.list-search-result .item-group .item-result .metro-circle-container .metro-color {
    width: 6px;
    aspect-ratio: 1 / 1;
    border-radius: 50px;
}

.list-search-result .empty-block {
    padding: 15px;
    padding-bottom: 25px;
}

.list-search-result .empty-block > .title {
    display: block;
    width: 100%;
    font-size: 15px;
    font-weight: 500;
    text-align: center;
}




/*input range ui*/
.filter-new .filter__form .noUi-horizontal {
    height: 2px;
}

.filter-new .filter__form .noUi-target {
    background: transparent;
    border-radius: 0;
    border: none;
    box-shadow: none;

    position: absolute;
    bottom: 0;
    left: 16px;
    right: 16px;
    width: calc(100% - 32px);
}

.filter-new .filter__form .noUi-connect {
    background-color: #0047B0;
}

.filter-new .filter__form .noUi-horizontal .noUi-tooltip {
    display: none;
}

.filter-new .filter__form .noUi-handle {
    background: #0047B0;
    border-radius: 50%;
    width: 12px;
    height: 12px;
    box-shadow: none;
    border: none;
}

.filter-new .filter__form .noUi-horizontal .noUi-handle {
    right: -6px;
    top: -5.5px;
}

.filter-new .filter__form .noUi-handle:after,
.filter-new .filter__form .noUi-handle:before {
    display: none;
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 4px; 
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label {
    width: auto;
    background: #F6F6F6;
    border-radius: 4px;
    margin: 0;
    border: 1px solid transparent;
    padding: 15px;

    font-weight: 500;
    font-size: 16px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: #000000;
    aspect-ratio: unset;

    cursor: pointer;
    transition: background-color 0.15s ease, color 0.15s ease, border-color 0.15s ease;
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label:hover {
    box-shadow: none;
    background: #EEEEEE;
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label.active,
.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label:has(input:checked) {
    color: #0047B0;
    border-color: #0047B0;
    box-shadow: none;
    background-color: #E8F1FC;
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label.active span,
.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label:has(input:checked) span {
    color: inherit;
}

.filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label input {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}


/* select */
.filter-new .filter__form .input-wrapper .select.hidden {
    display: none;
}

.filter-new .filter__form .input-wrapper .select {
    position: relative;
    width: 100%;
}

.select__value {
    padding: 16px;
    height: 48px;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    letter-spacing: 0.04em;
    color: #000000;

    background-color: #f6f6f6;
    border-radius: 4px;

    cursor: pointer;
    z-index: 1;

    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    transition: border 200ms ease, color 200ms ease, background-color 200ms ease;
    position: relative;
}

.filter-new .filter__form .input-wrapper.deadline .select__value {
    width: 100%;
    display: flex;
    align-items: center;
}

.select__value::after {
    content: "";
    position: absolute;
    width: 15px;
    height: 9px;
    right: 21px;
    top: calc(50% - 5px);
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDE0IDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxwYXRoIGQ9Ik0xIDFMNi4yOTI4OSA2LjI5Mjg5QzYuNjgzNDIgNi42ODM0MiA3LjMxNjU4IDYuNjgzNDIgNy43MDcxMSA2LjI5Mjg5TDEzIDAuOTk5OTk4IiBzdHJva2U9ImJsYWNrIiBzdHJva2Utd2lkdGg9IjIiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIvPgo8L3N2Zz4K");
    background-repeat: no-repeat;

    transition: background 200ms ease, transform 200ms ease;
}


.select__options {
    width: 100%;
    position: absolute;
    top: unset;
    left: 0;
    display: none;
    z-index: 1;
    background: #f6f6f6;

    max-height: 305px;
    overflow-y: auto;

    border-radius: 0 0 4px 4px;

    padding: 0;
    cursor: pointer;

    box-shadow: 0px 25px 32px rgba(0, 0, 0, 0.12);

    opacity: 0;
    box-sizing: border-box;
    transition: opacity 200ms ease, border-color 200ms ease, background-color 200ms ease;
}

.filter-new .filter__form .mCSB_scrollTools .mCSB_dragger {
    right: 7px;
    width: 2px;
}

.filter-new .filter__form .mCSB_scrollTools .mCSB_draggerRail {
    background-color: transparent;
    width: 0;
    height: 0;
}

.filter-new .filter__form .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    background-color: #D4D4D4;
    width: 2px;
}


.select__option {
    padding: 16px;
    /*border-top: 1px solid #D4D4D4;*/
    z-index: 2;
    position: relative;

    transition: background-color 0.2s ease, color 0.2s ease;
}

.select__option::before {
    content: '';
    position: absolute;
    width: calc(100% - 34px);
    height: 1px;
    left: 16px;
    right: 18px;
    top: 0;
    background-color: #D4D4D4;

    transition: background-color 0.2s ease;
}

.select__option:hover {
    background-color: var(--blue);
    color: #FFFFFF;
}

.select__option.active,
.select__option:active {
    background-color: #0047B0;
    color: #FFFFFF;
}

.select__option.active:before {
    background-color: #0047B0;
}

.select__option:hover::before {
    background-color: var(--blue);
}

.select--active .select__value {
    border-color: transparent;
    border-radius: 4px 4px 0 0;
}

.select--active .select__value::after {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDE0IDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxwYXRoIGQ9Ik0xIDFMNi4yOTI4OSA2LjI5Mjg5QzYuNjgzNDIgNi42ODM0MiA3LjMxNjU4IDYuNjgzNDIgNy43MDcxMSA2LjI5Mjg5TDEzIDAuOTk5OTk4IiBzdHJva2U9ImJsYWNrIiBzdHJva2Utd2lkdGg9IjIiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIvPgo8L3N2Zz4K");
    transform: scale(-1);
}

.select--active .select__options {
    display: block;
    opacity: 1;
}

.filter-new .filter__form .f-address {
    width: 100%;
    height: 46px !important;
    padding: 0px 16px;
    font-size: 16px;
    font-weight: 500;
    height: 48px;
    background: #F6F6F6;
    border: 1px solid transparent;
    border-radius: 4px;
    text-overflow: ellipsis;
}


.filter-new .filter__form .f-address::placeholder {
    color: #B3B3B3;
}

.filter-new .filter__form .helper {
    position: relative;
}

.filter-new .filter__form .helper__list {
    position: absolute;
    z-index: 5;
    background-color: #f6f6f6;
    width: 100%;
    max-height: 300px;
    overflow-y: auto;
    border-radius: 0 0 10px 10px;
    filter: drop-shadow(2px 16px 7px rgba(0, 0, 0, 0.12));
    top: 48px;
}


.filter-new .open-filters {
    display: none;
}

.filter-new .filter-buttons {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.filter-new.more-filters .filter-buttons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}


.filter-new .filter-buttons .btn {
    font-weight: 500;
    font-size: 16px;
    line-height: 1;
    letter-spacing: 0.04em;
    padding: 16px 24px;
    font-family: inherit;
    cursor: pointer;
}

.filter-new .filter-buttons .btn.btn--white.toMap {
    background-color: #FFFFFF;
    color: #000000;
    border-radius: 64px;
}

.filter-new .filter-buttons .btn.btn-primary.toFlats {
    background-color: var(--blue);
    color: #FFFFFF;
    border: 1px solid var(--blue);
    border-radius: 64px;
}

.filter-new .filter-buttons .btn.btn-primary.toFlats:hover {
    background-color: #3270C4;
    border-color: #3270C4;
}

.filter-new .filter-buttons .btn:not(:first-child) {
    margin-left: 12px;
}

.filter-new .filter-buttons .btn--gray {
    display: none;
}

.filter-new.more-filters .filter-buttons .btn--gray {
    display: flex;
    padding: 14px 16px;
    height: 48px;
}

.filter-new.more-filters .filter-buttons .to-flats-list .icon.list {
    font-size: 16px;
    background-color: #000000;
    margin-right: 10px;
}

.filter-new.more-filters .filter-buttons .draw {
    width: 245px;
}

.filter-new.more-filters .filter-buttons .draw .icon.pen {
    font-size: 16px;
    background-color: #000000;
    margin-right: 10px;
}

.filter-new .filter-buttons .toMap .icon.location {
    font-size: 18px;
    margin-right: 10px;
}

.filter-new .filter-buttons .toMap .icon.list {
    background-color: #000000;
    font-size: 18px;
    margin-right: 10px;
}

.filter-new .filter-buttons .found {
    display: none;
}

.filter-new.more-filters .filter-buttons .found {
    display: flex;
    justify-content: center;
    font-weight: 500;
    font-size: 14px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: var(--blue);
    margin: 0 auto;
    justify-self: center;
}

.filter-new.home-filter .filter-buttons .found.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--blue);
    color: #FFFFFF;
    border-radius: 64px;
    min-width: 212px;
    padding: 16px 24px;
    margin: 0 0 0 auto;
}

.filter-new .filter-buttons .clean-filter {
    display: none;
}

.filter-new.more-filters .filter-buttons .clean-filter {
    display: flex;
    align-items: center;
    cursor: pointer;

    font-weight: 500;
    font-size: 14px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: #696969;
}

.filter-new.more-filters .filter-buttons .clean-filter .icon.cross {
    background-color: var(--blue);
    font-size: 13px;
    margin-left: 13px;
    margin-top: 3px;
}


.filter-new.more-filters .filter-buttons .sorting {
    position: relative;
    margin-left: 16px;
    margin-right: auto;
}

.filter-new.more-filters .filter-buttons .sorting-heading {
    display: flex;
    justify-content: flex-start;
    cursor: pointer;

    width: 352px;
    padding: 14px 16px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;

    position: relative;
}

.filter-new.more-filters .sorting-heading .title {
    max-width: 90%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 5px 0;
}

.filter-new.more-filters .sorting-heading .title span {
    margin-bottom: 5px;
}

.filter-new.more-filters .sorting-heading .title .icon.sortArrow {
    font-size: 15px;
    background-color: #000000;
    margin-right: 10px;
}

.filter-new.more-filters .sorting-heading .title .icon.caret-up {
    position: absolute;
    right: 16px;
    font-size: 13px;
    margin-top: 4px;
    background-color: #000000;

    transition: transform 0.2s ease;
}

.filter-new.more-filters .sorting-heading[aria-expanded="true"] {
    border-radius: 4px 4px 0 0;
}

.filter-new.more-filters .sorting-heading[aria-expanded="true"] .icon.caret-up {
    transform: scale(-1);
}

.filter-new.more-filters .sorting-block {
    width: 100%;
    background: #f6f6f6;
    box-shadow: none;
    border-radius: 0 0 4px 4px;
    padding: 16px;
    z-index: 2;
    top: 0;
    margin-top: 0;
}

.filter-new.more-filters .sorting-block li {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #696969;
    padding: 5px 0;
    margin: 0 0 10px;
    cursor: pointer;
}

.filter-new.more-filters .sorting-block li:hover {
    color: var(--blue);
}

.filter-new.more-filters .sorting-block li.active {
    color: var(--blue);
}

.filter-new.more-filters .sorting-block li.active:after {
    content: "";
    display: block;
    position: relative;
    width: 19px;
    height: 14px;
    background: url('/assets/img/checkbox.svg');
    margin: 0;
}

.filter-new.more-filters .sorting-block li:last-child {
    margin: 0
}


.mCSB_inside > .mCSB_container {
    padding: 0;
}

/*Start  Стилизация фильтра для страницы КАРТА*/
.filter-new.map-filter .filter-title {
    display: none;
}

.filter-new.map-filter .filter__form .filter__wrapper {
    grid-column-gap: 28px;
    grid-template-columns: 292px 275px 324px auto max-content;
}

.filter-new.map-filter .filter__form .square-wrapper {
    display: none;
}

.filter-new.map-filter .filter__form .select-wrapper {
    display: none;
}


.filter-new.map-filter .filter__form .input-wrapper .input-range,
.filter-new.map-filter .filter__form .f-address,
.filter-new.map-filter .filter__form .input-wrapper .input-checkbox-multi .checkbox-label {
    height: 40px;
    display: flex;
    align-items: center;
}

.filter-new.map-filter .filter__form .input-wrapper .title {
    font-size: 12px;
    margin-bottom: 8px;
}

.filter-new.map-filter .filter__form .noUi-handle {
    width: 10px;
    height: 10px;
}

.filter-new.map-filter .filter__form .noUi-horizontal .noUi-handle {
    right: -5px;
    top: -4.5px;
}

.filter-new.map-filter .open-filters {
    align-self: flex-end;
    display: flex;

    border-radius: 4px;

    width: 184px;
    height: 44px;
}

.filter-new.map-filter .open-filters .icon.mob-filter {
    background-color: #FFFFFF;
    font-size: 15px;
}

.filter-new.map-filter .open-filters .text {
    padding-left: 8px;
    letter-spacing: 0.04px;
}

.filter-new.map-filter .filter-buttons {
    margin-top: 0;
    position: absolute;
    bottom: -32px;
    right: 50px;
    width: fit-content;
    grid-gap: 21px;
}

.filter-new.map-filter .filter-buttons .btn:not(:first-child) {
    margin-left: 0;
}

.filter-new.map-filter .filter-buttons .btn--gray {
    background-color: #FFFFFF;
}

.filter-new.map-filter .filter-buttons .to-flats-list .icon.list {
    margin: 0;
}

.filter-new.map-filter .filter-buttons .draw .icon.pen {
    margin: 0;
}

.filter-new.map-filter .filter-buttons .found {
    display: none;
}

.filter-new.more-filters.map-filter .filter-buttons .clean-filter {
    padding: 14px;

    background-color: #FFFFFF;
}

.filter-new.map-filter .filter-buttons .clean-filter .icon.cross {
    margin: 0;
    background-color: #000000;
}

.filter-new.map-filter .filter-buttons .draw,
.filter-new.map-filter .filter-buttons .to-flats-list,
.filter-new.map-filter .filter-buttons .clean-filter {
    display: flex;
    justify-content: center;
    align-items: center;
    filter: drop-shadow(0px 4px 12px rgba(0, 0, 0, 0.16));

    width: 48px;
    height: 48px;
    border-radius: 4px;
    transition: width 0.4s ease-in-out;
}

.filter-new.map-filter .filter-buttons .draw .text,
.filter-new.map-filter .filter-buttons .to-flats-list .text,
.filter-new.map-filter .filter-buttons .clean-filter .text {
    font-weight: 500;
    font-size: 16px;
    line-height: 1;
    text-align: center;
    letter-spacing: 0.04em;
    color: #000000;

    width: 0;
    overflow: hidden;
    margin-left: 0;
    white-space: nowrap;

    transition: width 0.3s linear, padding-left 0.3s ease-in-out;
}


/*END   Стилизация фильтра для страницы КАРТА*/


/*------------------------------------------------------*/
/*  Стили для попапа ЕЩЕ ФИЛЬТРЫ*/

.filter-new .popup-filters {
    display: none;
}

.filter-new.map-filter .popup-filters {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -11;

    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    padding: 50px 30px;

    opacity: 0;
    -webkit-transition: opacity 350ms;
    -moz-transition: opacity 350ms;
    transition: opacity 350ms;
}

.filter-new.map-filter .popup-filters:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(77, 85, 106, 0.64);
    opacity: 0;
    -webkit-transition: opacity 350ms;
    -moz-transition: opacity 350ms;
    transition: opacity 350ms;
    z-index: -1;
}


.filter-new.map-filter .popup-filters.active {
    display: flex;
    opacity: 1;
    z-index: 999;
    pointer-events: auto;
}

.filter-new.map-filter .popup-filters.active:before {
    opacity: 1;
    z-index: 0;
}

.filter-new.map-filter .popup-filters .container-body {
    position: relative;
    margin: auto;
    width: 680px;
    /*min-height: 661px;*/
    padding: 40px;
    background-color: #FFFFFF;
    box-shadow: 0px 4px 40px rgba(0, 0, 0, 0.12);
    border-radius: 24px;

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    grid-gap: 32px;
}

.filter-new.map-filter .heading .title {
    font-weight: 700;
    font-size: 32px;
    line-height: 1.2;

    letter-spacing: 0.04em;
    color: #000000;
}

.filter-new.map-filter .popup-filters .close-filters {
    position: absolute;
    right: 16px;
    top: 16px;
    cursor: pointer;
    transition: transform 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24px;
    height: 24px;
}

.filter-new.map-filter .popup-filters .close-filters:hover {
    transform: scale(1.05);
}

.filter-new.map-filter .popup-filters .close-filters .icon.close {
    font-size: 16px;
    background-color: #b3b3b3;

    transition: background-color 0.3s ease;
}

.filter-new.map-filter .popup-filters .close-filters:hover .icon.close {
    background-color: black;
}

.filter-new.map-filter .popup-filters .select-wrapper,
.filter-new.map-filter .popup-filters .square-wrapper {
    display: unset;
    width: 100%;
}

.filter-new.map-filter .popup-filters .input-wrapper .input-range {
    height: 46px;
}

.filter-new.map-filter .popup-filters .input-from-to-wrapper.to {
    display: flex;
    justify-content: flex-end;
}

.filter-new.map-filter .popup-filters .input-from-to-wrapper.to .input-from-to.to {
    width: 20%;
    margin-left: 5px;
}

.filter-new.map-filter .popup-filters .select-wrapper .select {
    flex-grow: 1;
}

.filter-new.map-filter .popup-filters .select-wrapper .select__value {
    height: 46px;
}

.filter-new.map-filter .buttons-row {
    width: 100%;
    display: flex;
    align-self: center;
    grid-gap: 12px;
}

/*END   Стили для попапа ЕЩЕ ФИЛЬТРЫ*/





.filter_sec.vertical-align {
    padding: 20px;
    background-color: #FFFFFF;
}

.filter_sec.vertical-align .G-container {
    padding: 0 !important;
    max-width: 100% !important;
}

.filter_sec.vertical-align .filter-new {
    background-color: #FFFFFF;
    padding: 0;
    /* иначе дропдаун выбранных ЖК обрезается / ломает поток */
    overflow: visible;
}

.filter_sec.vertical-align .filter__wrapper {
    display: flex !important;
    flex-direction: column !important;
    grid-row-gap: 20px;
}

.filter_sec.vertical-align .filter-buttons {
    display: none !important;
    display: flex;
    flex-direction: column;
}

.filter_sec.vertical-align .filter__wrapper .address-wrapper {
    margin-left: 0 !important;
    width: 100% !important;
}
.filter_sec.vertical-align .filter__wrapper > .input-wrapper:last-child:has(.input-range) {
    padding-bottom: 6px;
  }



@media screen and (min-width: 1221px) {
    /*START   Стилизация фильтра для страницы КАРТА*/
    /*Вариант когда кнопка раздвигается при наведении непосредственно на нее*/
    .filter-new.map-filter .filter-buttons .draw:hover,
    .filter-new.map-filter .filter-buttons .draw.active,
    .filter-new.map-filter .filter-buttons .to-flats-list:hover,
    .filter-new.map-filter .filter-buttons .clean-filter:hover {
        width: 235px;
    }

    .filter-new.map-filter .filter-buttons .draw.active {
        background-color: var(--blue);
    }

    .filter-new.map-filter .filter-buttons .draw:hover .text,
    .filter-new.map-filter .filter-buttons .draw.active .text,
    .filter-new.map-filter .filter-buttons .to-flats-list:hover .text,
    .filter-new.map-filter .filter-buttons .clean-filter:hover .text {
        width: 100%;
        padding-left: 10px;
    }

    .filter-new.map-filter .filter-buttons .draw.active .text {
        color: #FFFFFF;
        padding-left: 0;
    }

    .filter-new.map-filter .filter-buttons .draw.active .icon.pen {
        background-color: #FFFFFF;
    }

    /*Вариант когда все кнопки раздвигается одновременно при наведении на область кнопок*/
    /*.filter-new.map-filter .filter-buttons:hover .draw,*/
    /*.filter-new.map-filter .filter-buttons:hover .to-flats-list,*/
    /*.filter-new.map-filter .filter-buttons:hover .clean-filter {*/
    /*    width: 235px;*/
    /*}*/
    /*.filter-new.map-filter .filter-buttons:hover .draw .text,*/
    /*.filter-new.map-filter .filter-buttons:hover .to-flats-list .text,*/
    /*.filter-new.map-filter .filter-buttons:hover .clean-filter .text {*/
    /*    width: 100%;*/
    /*    padding-left: 10px;*/
    /*}*/
    /*END   Стилизация фильтра для страницы КАРТА*/
}


@media screen and (max-width: 1600px) {
    .filter-new .padding {
        padding: 20px;
    }

    .filter-new .filter-title {
        font-size: 28px;
        margin-bottom: 24px;
    }

    .filter-new .filter__form .filter__wrapper {
        grid-template-columns: 232px 264px 272px 160px auto;
        /*padding: 20px;*/
        grid-column-gap: 12px;
        margin-bottom: 20px;
    }

    .filter-new.more-filters .filter__form .filter__wrapper {
        margin-bottom: 0;
    }

    .filter-new .filter__form .input-wrapper .title {
        font-size: 12px;
    }

    .filter-new .filter__form .input-wrapper .input-range .separator {
        margin-left: 10px;
        margin-right: 10px;
    }

    .filter-new .filter__form .input-wrapper .input-range .input-from-to,
    .select__value,
    .filter-new .filter__form .f-address,
    .filter-new .filter__form .input-wrapper .input-range,
    .filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label {
        font-size: 16px;
    }

    .filter-new .filter__form .f-address,
    .select__value,
    .filter-new .filter__form .input-wrapper .input-range {
        height: 46px;
    }

    .filter-new .filter__form .f-address::placeholder {
        font-size: 16px;
        font-weight: 500;
        font-family: 'Ubuntu';
        font-style: normal;
        line-height: 1;
        letter-spacing: 0.04em;
    }

    .filter-new .filter__form .helper__list {
        top: 46px;
    }

    .filter-new .filter-buttons .btn {
        font-size: 14px;
        padding: 16px 20px;
    }

    .filter-new.more-filters .filter-buttons .sorting-heading {
        height: 46px;
    }

    .filter-new.more-filters .filter-buttons .btn--gray {
        padding: 12px 16px;
        height: 46px;
    }

    .filter-new.more-filters .sorting-heading .title .icon.caret-up {
        margin-top: 0;
    }

    /*only for page Map*/
    .filter-new.map-filter .open-filters {
        width: 44px;
        padding: 0;
    }

    .filter-new.map-filter .open-filters .text {
        display: none;
    }

    .filter-new.map-filter .filter-buttons {
        right: 60px;
    }
}

@media screen and (max-width: 1420px) {
    .filter-new .filter__form .filter__wrapper {
        width: 100%;
        display: grid;
        grid-template-columns: minmax(314px, auto) minmax(auto, max-content) minmax(314px, auto);
        grid-template-rows: 1fr 1fr;
        grid-column-gap: 16px;
        grid-row-gap: 24px;
    }


    .filter-new .filter__form .filter__wrapper .address-wrapper {
        grid-column: span 2;
    }

    .select__value {
        padding-right: 40px;
    }

    .select__value span {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        line-clamp: 1;
        -webkit-box-orient: vertical;
        white-space: normal;
    }

    .filter-new.more-filters .filter-buttons {
        margin-top: 24px;
    }

    /*Start  Стилизация фильтра для страницы КАРТА*/
    .filter-new.map-filter .filter__form .filter__wrapper {
        grid-template-rows: 1fr;
        grid-template-columns: 263px 275px 304px auto max-content;
        grid-column-gap: 16px;
        grid-row-gap: 0;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .address-wrapper {
        grid-column: unset;
        margin-left: 0;
        width: 100%;
    }

    /*END  Стилизация фильтра для страницы КАРТА*/
}

@media screen and (max-width: 1385px) {
    .filter-new.map-filter .filter-buttons {
        right: 30px;
    }
}

@media screen and (max-width: 1220px) {
    /*START  Стилизация фильтра для страницы КАРТА*/
    .filter-new.map-filter .filter__form {
        display: none;
    }

    .filter-new.map-filter .filter-buttons > .btn,
    .filter-new.map-filter .filter-buttons .clean-filter {
        width: fit-content;
        display: none;
    }

    .filter-new.map-filter .filter-buttons .draw .text,
    .filter-new.map-filter .filter-buttons .to-flats-list .text,
    .filter-new.map-filter .filter-buttons .clean-filter .text {
        width: auto;
        margin-left: 10px;
    }

    .filter-new.map-filter {
        background-color: #FFFFFF;
        display: flex;
        flex-direction: column;
        position: fixed;
        left: -100vw;
        top: 65px;
        width: 520px;
        height: calc(100vh - 65px);
        padding: 16px;
        opacity: 0;
        padding-top: 30px;
        /*transform: translateY(-100%);*/

        transition: left 0.6s ease, top 0.3s ease, opacity 1s ease;
    }

    .filter-new.map-filter.active {
        top: 65px;
        left: 0;
        opacity: 1;
        z-index: 10;
        height: calc(100% - 65px);
        /*transform: translateX(0);*/
        overflow-y: auto;

        box-shadow: 3px 3px 42px rgba(0, 0, 0, 0.25);
        /*transition: top 0.8s ease, opacity 0.3s ease;*/
    }

    .filter-new.map-filter .heading-mob {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 30px;
    }

    .filter-new.map-filter.active .heading-mob .close {
        cursor: pointer;
        transition: transform 0.3s ease;
    }

    .filter-new.map-filter.active .heading-mob .close:hover {
        transform: scale(1.05);
    }

    .filter-new.map-filter.active .heading-mob .close .icon.close {
        font-size: 20px;
    }

    .filter-new.map-filter.active .filter-title {
        font-size: 16px;
    }

    .filter-new.map-filter .heading-mob .title {
        font-weight: 500;
        font-size: 20px;
        line-height: 20px;
        letter-spacing: 0.04em;
        color: #000000;
        margin-right: -30px;
    }

    .filter-new.map-filter .heading-mob .clean-filter.mob {
        font-weight: 400;
        font-size: 14px;
        line-height: 1.29;
        letter-spacing: 0.04em;
        color: var(--blue);
    }

    .filter-new.map-filter .padding {
        padding: 0;
    }

    .filter-new.map-filter .filter-buttons {
        margin-top: auto;
        margin-bottom: 10px;
    }

    /*.filter-new.map-filter .filter-buttons .found {*/
    /*    display: none;*/
    /*}*/
    .filter-new.map-filter .filter-buttons .found,
    .filter-new.more-filters.map-filter.active .filter-buttons .found {
        display: flex;
        background-color: var(--blue);
        color: #FFFFFF;
        padding: 15px 20px;
        border-radius: 12px;
    }

    .filter-new.more-filters.map-filter.active .filter-buttons .toFlats {
        display: initial;
        width: 100%;
    }

    .filter-new.map-filter .open-filters,
    .filter-new.more-filters.map-filter .filter-buttons .clean-filter,
    .filter-new.more-filters.map-filter.active .filter-buttons .btn.toMap,
    .filter-new.more-filters.map-filter.active .filter-buttons .btn.toMap,
    .filter-new.more-filters.map-filter .filter-buttons .btn.to-flats-list,
    .filter-new.more-filters.map-filter.active .filter-buttons .btn.draw {
        display: none;
    }

    .filter-new.map-filter .filter__form .filter__wrapper {
        display: flex;
        flex-direction: column;

        grid-row-gap: 24px;
        padding: 0;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper {
        order: 2;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.square-wrapper {
        display: initial;
        order: 4;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.rooms {
        order: 3;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.select-wrapper {
        display: initial;
        order: 4;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .address-wrapper {
        grid-column: unset;
        order: 3;
        display: inline-block;

        margin-left: 0;
        width: 100%;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .select-wrapper {
        width: 100%;
    }

    .filter-new.map-filter .filter-buttons {
        position: unset;
        width: 100%;
        justify-content: center;
    }

    /*END  Стилизация фильтра для страницы КАРТА*/
}

@media screen and (max-width: 1100px) {
    .filter-new .filter-title {
        font-size: 24px;
    }

    .filter-new .filter__form .f-address,
    .filter-new .filter__form .input-wrapper .input-range,
    .filter-new .filter__form .input-wrapper .input-checkbox-multi .checkbox-label,
    .select__value {
        padding: 12px;
        height: 38px;
    }

    .select__value span {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        line-clamp: 1;
        -webkit-box-orient: vertical;
        white-space: normal;
    }

    .select__value {
        padding-right: 40px;
    }

    .filter-new .filter__form .helper__list {
        top: 38px;
    }

    .filter-new.more-filters .filter-buttons .sorting-heading {
        height: 38px;
    }

    .filter-new.more-filters .filter-buttons .btn--gray {
        padding: 12px 16px;
        height: 38px;
    }
}

@media screen and (max-width: 1021px) {
    .filter-new {
        display: flex;
        flex-direction: column;
    }

    .filter-new .filter__form .filter__wrapper {
        width: 100%;
        display: grid;
        grid-template-columns: minmax(232px, auto) minmax(auto, max-content) minmax(232px, auto);
        grid-template-rows: 1fr 1fr;
        grid-column-gap: 16px;
        grid-row-gap: 24px;
    }

    .filter-new .filter__form .helper__list {
        filter: none;
    }

    .filter-new .filter-buttons .btn.toMap,
    .filter-new .filter-buttons .btn.to-flats-list {
        display: none;
    }

    .filter-new.more-filters .filter-buttons .btn.toMap,
    .filter-new.more-filters .filter-buttons .btn.to-flats-list {
        display: flex;
        width: auto;
    }


    .filter-new.more-filters .filter-buttons .sorting {
        margin-left: 12px;
    }

    .filter-new.more-filters .filter-buttons .sorting-heading {
        width: 280px;
    }


    .filter-new .filter-buttons .btn {
        width: 40%;
    }
}

@media screen and (max-width: 1070px) {
    .filter_sec.home-filter,
    .novostroyki-na-karte-page .filter_sec {
        min-height: 0;
        padding: 0;
        margin-bottom: 20px;
    }

    .filter-new {
        background-color: #FFFFFF;
        display: flex;
        flex-direction: column;
        position: fixed;
        left: 0;
        top: -100vh;
        width: 100vw;
        height: 100vh;
        padding: 16px;
        opacity: 0;
        /*transform: translateY(-100%);*/
        pointer-events: none;
        transition: top 0.8s ease, opacity 0.3s ease;
    }

    /* Десктопный фильтр на главной не должен становиться «выезжающей» шторкой */
    .filter-desktop .filter-new,
    .filter-desktop .filter-new.home-filter {
        position: relative;
        left: auto;
        top: auto;
        width: auto;
        height: auto;
        padding: 0;
        opacity: 1;
        pointer-events: auto;
        transform: none;
        overflow: visible;
        background-color: transparent;
    }

    .filter-new.active {
        pointer-events: auto;
        top: 52px;
        opacity: 1;
        z-index: 101;
        height: calc(100%);
        transform: translateY(0);
        overflow-y: auto;
        padding-top: 30px;
        transition: top 0.8s ease, opacity 0.3s ease;
    }

    .filter-new.home-filter {
        height: calc(100vh - 65px);
        transition: top 0.8s ease, opacity 0.3s ease;
    }

    .filter-desktop .filter-new.home-filter {
        height: auto;
    }

    .filter-new.home-filter.active {
        top: 0;
        min-height: 100vh;
        opacity: 1;
    }

    .filter-new .heading-mob,
    .filter-new.active .heading-mob {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 30px;
    }

    .filter-new.active .filter-title {
        font-size: 16px;
    }

    .filter-new.active .heading-mob .title {
        font-weight: 500;
        font-size: 20px;
        line-height: 20px;
        letter-spacing: 0.04em;
        color: #000000;
    }

    .filter-new.active .heading-mob .close {
        cursor: pointer;
        transition: transform 0.3s ease;
    }

    .filter-new.active .heading-mob .close:hover {
        transform: rotate(90deg);
    }

    .filter-new.active .heading-mob .close .icon.close {
        font-size: 20px;
    }

    .filter-new .padding {
        padding: 0;
    }

    .filter-new .filter-buttons,
    .filter-new.more-filters .filter-buttons {
        display: flex !important;
        margin-bottom: 10px;
    }

    .filter-new.more-filters .filter-buttons .found {
        width: 100%;
    }

    .filter-new.more-filters.active .filter-buttons > div:not(.found),
    .filter-new.more-filters.active .filter-buttons .clean-filter {
        display: none;
    }

    .filter-new.more-filters.active .filter-buttons .btn.toMap {
        display: none;
    }

    .filter-new.more-filters.active .filter-buttons .found {
        background-color: var(--blue);
        color: #FFFFFF;
        padding: 15px 20px;
        border-radius: 12px;
    }

    .filter-new.more-filters .filter-buttons .toFlats {
        display: initial;
        width: 100%;
    }

    .filter-new.more-filters .filter-buttons .btn.toMap,
    .filter-new.more-filters .filter-buttons .btn.to-flats-list,
    .filter-new.more-filters .filter-buttons .btn.draw {
        display: none;
    }

    .filter-new .filter__form .filter__wrapper {
        display: flex;
        flex-direction: column;

        grid-row-gap: 24px;
        padding: 0;
    }

    .filter-new .filter__form .filter__wrapper .input-wrapper,
    .filter-new.active .filter__form .filter__wrapper .input-wrapper {
        order: 2;
    }

    .filter-new .filter__form .filter__wrapper .address-wrapper,
    .filter-new.active .filter__form .filter__wrapper .address-wrapper {
        grid-column: unset;
        order: 1;
        display: inline-block;

        margin-left: 0;
        width: 100%;
    }

    .filter-new .filter__form .filter__wrapper .select-wrapper,
    .filter-new.active .filter__form .filter__wrapper .select-wrapper {
        width: 100%;
    }


    .filter-new.map-filter {
        left: -100vw;
        top: 65px;
        width: 520px;
        height: calc(100% - 65px);

        padding: 32px;
        opacity: 0;
        /*transform: translateY(-100%);*/

        transition: left 0.8s ease, top 0.3s ease, opacity 0.8s ease;
    }

    .filter-new.map-filter.active {
        left: 0;
        opacity: 1;
        z-index: 10;
        top: 65px;
        height: calc(100% - 65px);
        transform: translateX(0);
        overflow-y: auto;

        transition: left 0.8s ease, opacity 0.3s ease;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper {
        order: 2;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.square-wrapper {
        order: 4;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.rooms {
        order: 3;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.select-wrapper {
        order: 4;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .address-wrapper {
        order: 3;
        display: inline-block;
    }

}

@media screen and (max-width: 600px) {
    /*.filter-new.active {*/
    /*    top: 55px;*/
    /*}*/
    .filter-new.more-filters.map-filter .filter-buttons .btn.toMap,
    .filter-new.more-filters.map-filter .filter-buttons .btn.to-flats-list {
        display: none;
    }

    .filter-new.map-filter.active .filter-buttons,
    .filter-new.more-filters.map-filter.active .filter-buttons {
        position: unset;
    }

    .filter-new.map-filter .filter__form .filter__wrapper .input-wrapper.select-wrapper,
    .filter-new .filter__form .square-wrapper,
    .filter-new.map-filter .filter__form .square-wrapper {
        display: initial;
    }

    .filter-new.map-filter {
        left: -100vw;
        top: 48px;
        width: 100%;
        height: calc(100% - 48px);

        padding: 32px;
        opacity: 0;
        /*transform: translateY(-100%);*/

        transition: left 0.8s ease, top 0.3s ease, opacity 0.8s ease;
    }

    .filter-new.map-filter.active {
        left: 0;
        opacity: 1;
        z-index: 10;
        top: 48px;
        height: calc(100% - 48px);
        transform: translateX(0);
        overflow-y: auto;

        transition: left 0.8s ease, opacity 0.3s ease;
    }
}

@media screen and (max-width: 500px) {
    .filter-new .filter-buttons .btn {
        width: 100%;
    }

    .filter-new .filter-buttons .btn:not(:first-child) {
        margin-left: 0;
    }
}
/* @media (min-width: 1024px) {
    .filter-new.more-filters .filter-buttons {
        display: none !important;
    }
} */